#
# spec file for package python-pip-api
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pip-api
Version:        0.0.14
Release:        bp155.2.11
Summary:        The official unofficial pip API
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/di/pip-api
Source:         https://files.pythonhosted.org/packages/source/p/pip-api/pip-api-%{version}.tar.gz
Patch0:         unvendor.patch
BuildRequires:  %{python_module packaging >= 20.3}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pretend}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module virtualenv}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-packaging >= 20.3
Requires:       python-pip
BuildArch:      noarch
%python_subpackages

%description
The official unofficial pip API.

%prep
%setup -q -n pip-api-%{version}
%patch0 -p1
rm -Rf ./pip_api/_vendor

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# All the following download stuff using pip thus skip them:
#   test_installed_distributions
#   test_all_the_right_pips
#   test_isolation
%pytest -v -k 'not (test_installed_distributions or test_all_the_right_pips or test_isolation)'

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Mar 16 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.0.14
  * Test against pip 19.2 to 20.0.2
  * Support Python 3.8
* Wed Oct 30 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.0.13:
  - Include six==1.12.0 as a vendored dependency (#42)
  - Upgrade vendored packaging==19.2
  - Upgrade vendored pyparsing==2.4.2
* Tue Jul 23 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.0.12:
  * Bugfix with relative paths (#39)
* Fri Jun  7 2019 Ondřej Súkup <mimi.vx@gmail.com>
- update to 0.0.10
- add unvendor.patch
* Fri May 17 2019 Hardik Italia <hitalia@suse.com>
- Update to 0.0.8:
  * Handle editable installs
  * Ignore index url parameters in parse_requirements
  * Drop support for Python 3.4
  * Add support for pip 19.0, 19.0.1, 19.0.2, 19.0.3
* Fri Feb 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.0.5:
  * distribute tests and license
* Wed Feb 20 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by pytest-reqs
